#pragma once

#include "CoreMinimal.h"
#include "KillerInstinctStatusEffect.h"
#include "TunableStat.h"
#include "K36DetectionSpellKillerInstinctStatusEffect.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK36DetectionSpellKillerInstinctStatusEffect : public UKillerInstinctStatusEffect
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FTunableStat _killerInstinctLingerDuration;

protected:
	UFUNCTION(BlueprintPure)
	float GetLingeringDuration() const;

public:
	UK36DetectionSpellKillerInstinctStatusEffect();
};

FORCEINLINE uint32 GetTypeHash(const UK36DetectionSpellKillerInstinctStatusEffect) { return 0; }
